QLocalFs(3qt)

NAME
QLocalFs - Implementation of a QNetworkProtocol that works on the local file system

SYNOPSIS
#include <qlocalfs.h>

Inherits QNetworkProtocol.

  Public Members
QLocalFs ()

DESCRIPTION
The QLocalFs class is an implementation of a QNetworkProtocol that works on the local file system.

This class is derived from QNetworkProtocol. QLocalFs is not normally used directly, but rather through a QUrlOperator, for example:

    QUrlOperator op( "file:///tmp" );
    op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the QLocalFs class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with QLocalFs.

If you really need to use QLocalFs directly, don't forget to set its QUrlOperator with setUrl().

See also Qt Network Documentation, QNetworkProtocol, QUrlOperator, and Input/Output and Networking.

MEMBER FUNCTION DOCUMENTATION

QLocalFs::QLocalFs ()
Constructor.

SEE ALSO
http://doc.trolltech.com/qlocalfs.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qlocalfs.3) and the Qt version (3.2.3).